"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.GKErrorWrap = void 0;
if (!JSON.stringifyline) {
  JSON.stringifyline = function (Obj) {
    return JSON.stringify(Obj, null, 2);
  };
}
var errCodes = {};

/*
 错误信息生成器，高阶函数
 */
var GKErrorWrap = exports.GKErrorWrap = function GKErrorWrap(errCode, errMessage) {
  if (errCodes[errCode]) throw new Error("\u9519\u8BEF\u7801\u88AB\u91CD\u590D\u5B9A\u4E49(".concat(errCode, ",").concat(errCodes[errCode], ")"));
  errCodes[errCode] = errMessage;
  return function (more) {
    var moreStr = '';
    if (more) {
      moreStr = typeof more === "string" ? more : JSON.stringifyline(JSON.parse(JSON.stringify(more)));
    }
    var ret = new Error();
    ret._gankao = 1;
    ret.code = errCode;
    if (!moreStr) {
      ret.message = errMessage;
    } else if (!errMessage) {
      ret.message = moreStr;
    } else {
      ret.message = "".concat(errMessage, " (").concat(moreStr, ")");
    }
    ret.more = moreStr;
    return ret;
  };
};